Site News

General news and announcements

Page: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 ()
DiscussionStarted byRepliesLast post
PinnedDrop In Hours Co-op & Career Advisors Department 0 Coop and Career Services @Lambton College in Toronto
Mon, 25 Feb 2019, 10:25 AM
PinnedParking Available at 180 Yorkland Blvd 0 Student Services @Lambton College In Toronto
Fri, 25 Jan 2019, 10:54 AM
PinnedReminder: Guard Me Health Insurance For Your Break 0 Student Services @Lambton College In Toronto
Tue, 18 Dec 2018, 3:41 PM
PinnedPersonal and Emergency Contact Information Update 0 Student Services @Lambton College In Toronto
Mon, 2 Apr 2018, 12:08 PM
Warning: Shuttle Bus Passes 0 Student Services @Lambton College In Toronto
Thu, 23 May 2019, 2:41 PM
Open Mic Event Tonight @ 6:00pm! 0 Student Services @Lambton College In Toronto
Thu, 23 May 2019, 1:16 PM
Make-up Course Registration Deadline is Tomorrow 0 Student Services @Lambton College In Toronto
Thu, 23 May 2019, 1:01 PM
Attention BMAT Students: An Exclusive Mock Interview Opportunity! 0 Student Services @Lambton College In Toronto
Thu, 23 May 2019, 10:13 AM
Speaker Series: May 23rd - Make the Most of LinkedIn Learning! 0 Student Services @Lambton College In Toronto
Wed, 22 May 2019, 1:05 PM
Guard Me Health Insurance Info Booth - Every 2nd and 4th Thursday of the Month 0 Student Services @Lambton College In Toronto
Tue, 21 May 2019, 10:23 AM
Student ID Cards for Term 1 Students 0 Student Services @Lambton College In Toronto
Fri, 17 May 2019, 5:54 PM
Important Note Re: Transcripts for Winter 2019 Graduates 0 Student Services @Lambton College In Toronto
Thu, 16 May 2019, 4:26 PM
Make-up Course Registration Deadline 0 Student Services @Lambton College In Toronto
Thu, 16 May 2019, 1:04 PM
Open Mic Event! (Thursday, May 23rd) 0 Student Services @Lambton College In Toronto
Thu, 16 May 2019, 10:14 AM
Student Services will be Closed 0 Student Services @Lambton College In Toronto
Wed, 15 May 2019, 10:37 AM
Settlement Services for International Students 0 Student Services @Lambton College In Toronto
Tue, 14 May 2019, 9:56 AM
Speaker Series: RN/RPN Exam Prep! 0 Student Services @Lambton College In Toronto
Tue, 14 May 2019, 9:29 AM
Student Services will be closed on Monday, May 13th. 0 Student Services @Lambton College In Toronto
Fri, 10 May 2019, 4:17 PM
LCIT Toastmasters Club - Be Our Guest! 0 Student Services @Lambton College In Toronto
Wed, 8 May 2019, 1:39 PM
Arts Club Spring Exhibition Tomorrow! 0 Student Services @Lambton College In Toronto
Wed, 8 May 2019, 9:29 AM
Sign up by 4PM today -- Linamar Technology & Innovation Day 0 Coop and Career Services @Lambton College in Toronto
Tue, 7 May 2019, 10:22 AM
Database Profile Activation for all S2019 Students 0 Admin Admin
Sun, 5 May 2019, 12:26 PM
Brampton and Mississauga Pick Up Location. 0 Ash Rai
Fri, 3 May 2019, 2:58 PM
S2019 Bus Schedule. 0 Ash Rai
Fri, 3 May 2019, 10:10 AM
Immigration Consultation 0 Student Services @Lambton College In Toronto
Thu, 2 May 2019, 4:35 PM
MyLambton Email Link 0 Student Services @Lambton College In Toronto
Mon, 29 Apr 2019, 6:57 PM
WebAdvisor and myLambton Website 0 Student Services @Lambton College In Toronto
Fri, 26 Apr 2019, 6:00 PM
Make-up Course Deadline Approaching 0 Student Services @Lambton College In Toronto
Wed, 24 Apr 2019, 3:42 PM
Orientation Flow Chart 0 Student Services @Lambton College In Toronto
Tue, 23 Apr 2019, 3:47 PM
2019 Spring Orientation Schedule 0 Student Services @Lambton College In Toronto
Tue, 23 Apr 2019, 3:44 PM
May 21st RBC Tech Networking Night 0 Coop and Career Services @Lambton College in Toronto
Tue, 23 Apr 2019, 2:38 PM
BE OUR GUEST! LCIT Toastmasters Club Welcomes You! 0 Student Services @Lambton College In Toronto
Tue, 23 Apr 2019, 2:14 PM
Condolences from LCIT... 0 Student Services @Lambton College In Toronto
Mon, 22 Apr 2019, 10:50 AM
Bus Schedule, Monday, April 22nd, 2019. 0 Ash Rai
Thu, 18 Apr 2019, 5:09 PM
Easter Long Weekend! 0 Student Services @Lambton College In Toronto
Thu, 18 Apr 2019, 4:29 PM
Calling all writers! Interested in writing for the LCIT Newsletter? 0 Student Services @Lambton College In Toronto
Wed, 17 Apr 2019, 9:40 AM
Immigration Consultation 0 Student Services @Lambton College In Toronto
Mon, 15 Apr 2019, 3:23 PM
Deadline Reminder: Transfer Credit and Program Change Requests 0 Student Services @Lambton College In Toronto
Mon, 15 Apr 2019, 2:29 PM
Call for Student Volunteers! 0 Ashley Koen
Mon, 15 Apr 2019, 11:44 AM
UPDATE: Convocation Invitation Letter Request 0 Student Services @Lambton College In Toronto
Mon, 15 Apr 2019, 11:14 AM
Beyond the Marketing Class... 0 Student Services @Lambton College In Toronto
Wed, 10 Apr 2019, 4:09 PM
Academic Break Term 0 Student Services @Lambton College In Toronto
Tue, 9 Apr 2019, 5:03 PM
Employer Update for The Alea Group Showcase (Wed, Apr 10th @Room 201) 0 Coop and Career Services @Lambton College in Toronto
Tue, 9 Apr 2019, 3:29 PM
Last chance to register the FREE Cyber Career Centre Event at LoyaltyOne on April 10 0 Coop and Career Services @Lambton College in Toronto
Tue, 9 Apr 2019, 12:19 PM
Student Services Walk-in Hours are Closed Today 0 Student Services @Lambton College In Toronto
Mon, 8 Apr 2019, 5:26 AM
Chess Championship Preliminary Round Highlights! 0 Student Services @Lambton College In Toronto
Fri, 5 Apr 2019, 4:46 PM
Cancelled: Speaker Series PM Guild Event Today 0 Student Services @Lambton College In Toronto
Thu, 4 Apr 2019, 2:44 PM
S2019 Group Selection Schedule for Returning Students 0 Student Services @Lambton College In Toronto
Thu, 4 Apr 2019, 12:25 PM
Student Appreciation Week | Day 4 - Popcorn 0 Student Services @Lambton College In Toronto
Thu, 4 Apr 2019, 10:45 AM
MobileDOCTOR by guard.me - Webinar on April 8th 0 Student Services @Lambton College In Toronto
Thu, 4 Apr 2019, 9:42 AM
Chess Championship Preliminary Round - April 5th 0 Student Services @Lambton College In Toronto
Wed, 3 Apr 2019, 3:56 PM
Student Appreciation Week | Day 3 - French Fries 0 Student Services @Lambton College In Toronto
Wed, 3 Apr 2019, 11:02 AM
Immigration Consultant Schedule: April 2019 0 Student Services @Lambton College In Toronto
Tue, 2 Apr 2019, 4:43 PM
Speakers Series & Coop Employment Fair (12PM TODAY @Atrium) 0 Coop and Career Services @Lambton College in Toronto
Tue, 2 Apr 2019, 12:38 PM
Student Appreciation Week | Day 2 - Roasted Corn 0 Student Services @Lambton College In Toronto
Tue, 2 Apr 2019, 11:38 AM
Speaker Series: Project Manager as a Profession (April 4th @ 4:00pm) 0 Student Services @Lambton College In Toronto
Tue, 2 Apr 2019, 9:31 AM
April 8th Technology Service Provider Job Fair 0 Coop and Career Services @Lambton College in Toronto
Mon, 1 Apr 2019, 5:55 PM
Student Appreciation Week | Day 1 - Mini Donuts 0 Student Services @Lambton College In Toronto
Mon, 1 Apr 2019, 11:32 AM
S2019 Registration Schedule: Important Dates and Deadlines 0 Student Services @Lambton College In Toronto
Fri, 29 Mar 2019, 4:24 PM
This Wednesday - April 10th Employer Showcase: The Alea Group Inc 0 Coop and Career Services @Lambton College in Toronto
Fri, 29 Mar 2019, 12:22 PM
Make-up Course Request Form 0 Student Services @Lambton College In Toronto
Thu, 28 Mar 2019, 4:07 PM
Make-up Course Registration is Now Open for Summer 2019 0 Student Services @Lambton College In Toronto
Thu, 28 Mar 2019, 3:58 PM
CCR Volunteer Opportunity - MMPT Research 0 Student Services @Lambton College In Toronto
Thu, 28 Mar 2019, 12:10 PM
Tim Hortons Opens Tomorrow! 0 Student Services @Lambton College In Toronto
Thu, 28 Mar 2019, 11:39 AM
Student Appreciation Week | April 1 - 5 0 Student Services @Lambton College In Toronto
Wed, 27 Mar 2019, 11:59 AM
Important Update: Business & Industry Employer Expo 0 Coop and Career Services @Lambton College in Toronto
Wed, 27 Mar 2019, 11:32 AM
Exam Tips Workshops - March 29th 0 Student Services @Lambton College In Toronto
Wed, 27 Mar 2019, 9:45 AM
LCIT Winter Convocation 2019 - Photos & Video Now Available 0 Student Services @Lambton College In Toronto
Tue, 26 Mar 2019, 11:20 AM
The LCIT Tutoring Centre is on LinkedIn! 0 Student Services @Lambton College In Toronto
Tue, 26 Mar 2019, 11:10 AM
STUDENT AMBASSADORS - Applications Now Open 0 Student Services @Lambton College In Toronto
Mon, 25 Mar 2019, 2:09 PM
Canada Immigration Weekly Newsletter 0 Student Services @Lambton College In Toronto
Mon, 25 Mar 2019, 11:32 AM
LCIT Toastmasters Meeting Cancelled Tonight (March 21st) 0 Student Services @Lambton College In Toronto
Thu, 21 Mar 2019, 4:04 PM
*Summer 2019 Registration Schedule* - IMPORTANT DATES & DEADLINES 0 Student Services @Lambton College In Toronto
Wed, 20 Mar 2019, 1:09 PM
LCIT PM Guild Update: A Successful PMI Networking Event! 0 Student Services @Lambton College In Toronto
Tue, 19 Mar 2019, 1:59 PM
Speed Chess Championship! 0 Student Services @Lambton College In Toronto
Mon, 18 Mar 2019, 2:24 PM
Business & Industry Employer Expo This Thursday - 1:00PM @Atrium 0 Coop and Career Services @Lambton College in Toronto
Mon, 18 Mar 2019, 10:09 AM
Moodle Site Maintenance Notice 0 Student Services @Lambton College In Toronto
Fri, 15 Mar 2019, 11:01 AM
PMI Toronto Academic Symposium: Saturday, March 23rd, 2019 0 Student Services @Lambton College In Toronto
Thu, 14 Mar 2019, 11:48 AM
Your Tax Benefits & Credits - Speaker Series with Asim Mehboob 0 Student Services @Lambton College In Toronto
Thu, 14 Mar 2019, 11:15 AM
PM Guild Speaker Series Event - March 14th @ 6pm 0 Student Services @Lambton College In Toronto
Tue, 12 Mar 2019, 4:40 PM
Canada Immigration Weekly Newsletter 0 Student Services @Lambton College In Toronto
Tue, 12 Mar 2019, 2:47 PM
Employer Showcase: SOTI Inc (Wed, Mar 13th @Atrium) 0 Coop and Career Services @Lambton College in Toronto
Tue, 12 Mar 2019, 10:51 AM
CPR Training 0 Student Services @Lambton College In Toronto
Mon, 11 Mar 2019, 10:41 AM
T2202A Tax Forms for 2018 Now Available on WebAdvisor 0 Student Services @Lambton College In Toronto
Mon, 11 Mar 2019, 8:47 AM
W2019 Revised Bus Schedule. 0 Ash Rai
Fri, 8 Mar 2019, 10:56 AM
Attention PMLT & CPMT Students: CAPM Prep Training is Here! 0 Student Services @Lambton College In Toronto
Fri, 8 Mar 2019, 9:39 AM
The Tutoring Centre @ LCIT (271 Yorkland Blvd) 0 Student Services @Lambton College In Toronto
Thu, 7 Mar 2019, 3:04 PM
Timeline of a Lambton College in Toronto Student 0 Student Services @Lambton College In Toronto
Wed, 6 Mar 2019, 2:43 PM
Speaker Series with CIBC - March 7th @ 1:00pm 0 Student Services @Lambton College In Toronto
Tue, 5 Mar 2019, 1:50 PM
Speaker Series - Emotional Intelligence (March 7th @ 6pm) 0 Student Services @Lambton College In Toronto
Tue, 5 Mar 2019, 9:52 AM
March 16th Electrician Career Fair 0 Coop and Career Services @Lambton College in Toronto
Tue, 5 Mar 2019, 9:44 AM
Immigration Newsletter - March 4th, 2019 0 Student Services @Lambton College In Toronto
Mon, 4 Mar 2019, 11:46 AM
Immigration Consultant March Schedule. 0 Ash Rai
Fri, 1 Mar 2019, 8:37 AM
Registration Deadline for Winter Convocation 2019 0 Student Services @Lambton College In Toronto
Thu, 28 Feb 2019, 11:14 AM
Trinity Tech Employer Showcase Tomorrow - 12:30PM @Atrium 0 Coop and Career Services @Lambton College in Toronto
Thu, 28 Feb 2019, 10:53 AM
ALL CLASSES ARE CANCELLED AFTER 3:00PM - February 27th 0 Student Services @Lambton College In Toronto
Wed, 27 Feb 2019, 1:59 PM
Speaker Series Tomorrow: Emotional Intelligence (Adel Zadeh) 0 Student Services @Lambton College In Toronto
Tue, 26 Feb 2019, 11:23 AM
Chess & Checkers Day! 0 Student Services @Lambton College In Toronto
Tue, 26 Feb 2019, 9:55 AM
Canadian Immigration Weekly Newsletter 0 Student Services @Lambton College In Toronto
Mon, 25 Feb 2019, 2:37 PM
Winter 2019 Make-up Course Registration 0 Student Services @Lambton College In Toronto
Mon, 25 Feb 2019, 10:28 AM
Page: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 ()